using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.ServiceModel;

namespace UnifiedPOS.SoundRecorder.V1_4
{
    [ServiceContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public interface SoundRecorder
    {
        #region Version 1.4

        //
        // Common Properties
        //

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetAutoDisable", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetAutoDisableResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        bool GetAutoDisable(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetAutoDisable", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetAutoDisableResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void SetAutoDisable(string ConsumerID, bool AutoDisable);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapCompareFirmwareVersion", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapCompareFirmwareVersionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        bool GetCapCompareFirmwareVersion(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapPowerReporting", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapPowerReportingResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        PowerReporting GetCapPowerReporting(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapStatisticsReporting", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapStatisticsReportingResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        bool GetCapStatisticsReporting(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapUpdateFirmware", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapUpdateFirmwareResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        bool GetCapUpdateFirmware(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapUpdateStatistics", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapUpdateStatisticsResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        bool GetCapUpdateStatistics(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCheckHealthText", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCheckHealthTextResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        string GetCheckHealthText(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetClaimed", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetClaimedResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        bool GetClaimed(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetDataCount", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetDataCountResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        int GetDataCount(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetDataEventEnabled", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetDataEventEnabledResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        bool GetDataEventEnabled(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetDataEventEnabled", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetDataEventEnabledResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void SetDataEventEnabled(string ConsumerID, bool DataEventEnabled);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetDeviceEnabled", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetDeviceEnabledResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        bool GetDeviceEnabled(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetDeviceEnabled", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetDeviceEnabledResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void SetDeviceEnabled(string ConsumerID, bool DeviceEnabled);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetFreezeEvents", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetFreezeEventsResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        bool GetFreezeEvents(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetFreezeEvents", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetFreezeEventsResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void SetFreezeEvents(string ConsumerID, bool FreezeEvents);

        //[OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetOutputID", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetOutputIDResponse")]
        //[FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        //int GetOutputID(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetPowerNotify", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetPowerNotifyResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        PowerNotification GetPowerNotify(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetPowerNotify", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetPowerNotifyResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void SetPowerNotify(string ConsumerID, PowerNotification PowerNotify);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetPowerState", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetPowerStateResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        PowerState GetPowerState(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetState", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetStateResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        ControlState GetState(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetDeviceControlDescription", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetDeviceControlDescriptionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        string GetDeviceControlDescription(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetDeviceControlVersion", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetDeviceControlVersionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        UposVersion GetDeviceControlVersion(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetDeviceServiceDescription", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetDeviceServiceDescriptionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        string GetDeviceServiceDescription(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetDeviceServiceVersion", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetDeviceServiceVersionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        UposVersion GetDeviceServiceVersion(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetPhysicalDeviceDescription", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetPhysicalDeviceDescriptionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        string GetPhysicalDeviceDescription(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetPhysicalDeviceName", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetPhysicalDeviceNameResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        string GetPhysicalDeviceName(string ConsumerID);

        //
        // Specific Properties
        //

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapAssociatedHardTotalsDevice", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapAssociatedHardTotalsDeviceResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        string GetCapAssociatedHardTotalsDevice(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapChannel", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapChannelResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        bool GetCapChannel(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapRecordingLevel", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapRecordingLevelResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        bool GetCapRecordingLevel(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapSamplingRate", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapSamplingRateResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        bool GetCapSamplingRate(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapSoundType", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapSoundTypeResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        bool GetCapSoundType(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapStorage", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetCapStorageResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        CapStorage GetCapStorage(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetChannel", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetChannelResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        string GetChannel(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetChannel", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetChannelResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void SetChannel(string ConsumerID, string Channel);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetChannelList", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetChannelListResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        ChannelList GetChannelList(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetRecordingLevel", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetRecordingLevelResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        int GetRecordingLevel(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetRecordingLevel", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetRecordingLevelResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void SetRecordingLevel(string ConsumerID, int RecordingLevel);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetRemainingRecordingTimeInSec", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetRemainingRecordingTimeInSecResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        int GetRemainingRecordingTimeInSec(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetSamplingRate", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetSamplingRateResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        string GetSamplingRate(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetSamplingRate", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetSamplingRateResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void SetSamplingRate(string ConsumerID, string SamplingRate);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetSamplingRateList", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetSamplingRateListResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        SamplingRateList GetSamplingRateList(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetSoundData", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetSoundDataResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        byte[] GetSoundData(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetSoundType", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetSoundTypeResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        string GetSoundType(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetSoundType", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetSoundTypeResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void SetSoundType(string ConsumerID, string SoundType);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetSoundTypeList", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetSoundTypeListResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        SoundTypeList GetSoundTypeList(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetStorage", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetStorageResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        Storage GetStorage(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetStorage", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetStorageResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void SetStorage(string ConsumerID, Storage Storage);

        //
        // Common Methods
        //

        //[OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/Open", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/OpenResponse")]
        //[FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        //void Open(string ConsumerID, string EndpointAddress);

        //[OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/Close", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/CloseResponse")]
        //[FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        //void Close(string ConsumerID, string EndpointAddress);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/Claim", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/ClaimResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void Claim(string ConsumerID, int Timeout);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/Release", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/ReleaseResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void Release(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/CheckHealth", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/CheckHealthResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void CheckHealth(string ConsumerID, HealthCheckLevel Level);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/ClearInput", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/ClearInputResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void ClearInput(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/ClearInputProperties", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/ClearInputPropertiesResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void ClearInputProperties(string ConsumerID);

        //[OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/ClearOutput", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/ClearOutputResponse")]
        //[FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        //void ClearOutput(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/DirectIO", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/DirectIOResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        DirectIOData DirectIO(string ConsumerID, int Command, int Data, object Obj);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/CompareFirmwareVersion", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/CompareFirmwareVersionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        CompareFirmwareResult CompareFirmwareVersion(string ConsumerID, string FirmwareFileName);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/ResetStatistics", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/ResetStatisticsResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void ResetStatistics(string ConsumerID, StatisticList StatisticsBuffer);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/RetrieveStatistics", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/RetrieveStatisticsResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        string RetrieveStatistics(string ConsumerID, StatisticList StatisticsBuffer);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UpdateFirmware", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UpdateFirmwareResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void UpdateFirmware(string ConsumerID, string FirmwareFileName);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UpdateStatistics", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UpdateStatisticsResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void UpdateStatistics(string ConsumerID, StatisticList StatisticsBuffer);

        //
        // Specific Methods
        //

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/StartRecording", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/StartRecordingResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void StartRecording(string ConsumerID, string FileName, bool OverWrite, int RecordingTime);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/StopRecording", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/StopRecordingResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void StopRecording(string ConsumerID);

        //
        // Session Management
        //

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetWSPOSVersion", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetWSPOSVersionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        UposVersion GetWSPOSVersion();

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GenerateConsumerID", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GenerateConsumerIDResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        string GenerateConsumerID();

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/OpenSession", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/OpenSessionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void OpenSession(string ConsumerID, string EndpointAddress);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/CloseSession", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/CloseSessionResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void CloseSession(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetProviderSessionTimeout", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetProviderSessionTimeoutResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        int GetProviderSessionTimeout(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/KeepAlive", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/KeepAliveResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void KeepAlive(string ConsumerID);

        //
        // Device Control
        //

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/OpenDevice", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/OpenDeviceResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void OpenDevice(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/CloseDevice", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/CloseDeviceResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void CloseDevice(string ConsumerID);

        //
        // Event Polling
        //

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/PollForUPOSEvent", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/PollForUPOSEventResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        SoundRecorderEvent PollForUPOSEvent(string ConsumerID);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetEventResponse", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetEventResponseResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void SetEventResponse(string ConsumerID, SoundRecorderEventResponse EventResponse);

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetEncryptedClaimedConsumerID", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/GetEncryptedClaimedConsumerIDResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        string GetEncryptedClaimedConsumerID();

        [OperationContract(Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetEventRequestProperties", ReplyAction = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/SetEventRequestPropertiesResponse")]
        [FaultContract(typeof(UposException), Action = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/UposException", Name = "UposException")]
        void SetEventRequestProperties(string ConsumerID, PropertyNameList list);

        #endregion Version 1.4
    }

    #region Version 1.4

    //
    // Common Data Types
    //

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public class DirectIOData
    {
        [DataMember]
        public int Data { get; set; }

        [DataMember]
        public object Obj { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public class UposException
    {
        [DataMember]
        public ErrorCode ErrorCode { get; set; }

        [DataMember]
        public int ErrorCodeExtended { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public class UposVersion
    {
        [DataMember]
        public int Major { get; set; }

        [DataMember]
        public int Minor { get; set; }

        [DataMember]
        public int Build { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public class Statistic
    {
        [DataMember]
        public string Name { get; set; }

        [DataMember]
        public string Value { get; set; }
    }

    [CollectionDataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/", ItemName = "Statistic")]
    public class StatisticList : List<Statistic>
    {
    }

    //
    // Common Enumerations
    //

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public enum CompareFirmwareResult
    {
        [EnumMember]
        CFV_FIRMWARE_OLDER,

        [EnumMember]
        CFV_FIRMWARE_SAME,

        [EnumMember]
        CFV_FIRMWARE_NEWER,

        [EnumMember]
        CFV_FIRMWARE_DIFFERENT,

        [EnumMember]
        CFV_FIRMWARE_UNKNOWN,
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public enum ControlState
    {
        [EnumMember]
        S_CLOSED,

        [EnumMember]
        S_IDLE,

        [EnumMember]
        S_BUSY,

        [EnumMember]
        S_ERROR,
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public enum ErrorCode
    {
        [EnumMember]
        E_CLOSED,

        [EnumMember]
        E_CLAIMED,

        [EnumMember]
        E_NOTCLAIMED,

        [EnumMember]
        E_NOSERVICE,

        [EnumMember]
        E_DISABLED,

        [EnumMember]
        E_ILLEGAL,

        [EnumMember]
        E_NOHARDWARE,

        [EnumMember]
        E_OFFLINE,

        [EnumMember]
        E_NOEXIST,

        [EnumMember]
        E_EXISTS,

        [EnumMember]
        E_FAILURE,

        [EnumMember]
        E_TIMEOUT,

        [EnumMember]
        E_BUSY,

        [EnumMember]
        E_EXTENDED,

        [EnumMember]
        E_DEPRECATED,
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public enum HealthCheckLevel
    {
        [EnumMember]
        CH_INTERNAL,

        [EnumMember]
        CH_EXTERNAL,

        [EnumMember]
        CH_INTERACTIVE,
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public enum PowerNotification
    {
        [EnumMember]
        PN_DISABLED,

        [EnumMember]
        PN_ENABLED,
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public enum PowerReporting
    {
        [EnumMember]
        PR_NONE,

        [EnumMember]
        PR_STANDARD,

        [EnumMember]
        PR_ADVANCED,
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public enum PowerState
    {
        [EnumMember]
        PS_UNKNOWN,

        [EnumMember]
        PS_ONLINE,

        [EnumMember]
        PS_OFF,

        [EnumMember]
        PS_OFFLINE,

        [EnumMember]
        PS_OFF_OFFLINE,
    }

    /*
    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public enum StatisticCategories
    {
        [EnumMember]
        All,
        [EnumMember]
        Manufacturer,
        [EnumMember]
        Upos,
    }
    */

    public class StatisticCategories
    {
        public const string All = "";
        public const string Manufacturer = "M_";
        public const string Upos = "U_";
    }

    //
    // Specific Data Types
    //

    //
    // Specific Enumerations
    //

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public enum CapStorage
    {
        [EnumMember]
        SREC_CST_HOST_ONLY,

        [EnumMember]
        SREC_CST_HARDTOTALS_ONLY,

        [EnumMember]
        SREC_CST_ALL,
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public enum Storage
    {
        [EnumMember]
        SREC_ST_HOST,

        [EnumMember]
        SREC_ST_HARDTOTALS,

        [EnumMember]
        SREC_ST_HOST_HARDTOTALS,
    }

    [CollectionDataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/", ItemName = "Channel")]
    public class ChannelList : List<string>
    {
    }

    [CollectionDataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/", ItemName = "SamplingRate")]
    public class SamplingRateList : List<string>
    {
    }

    [CollectionDataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/", ItemName = "SoundType")]
    public class SoundTypeList : List<string>
    {
    }

    //
    // Constants
    //

    public class ExtendedError
    {
        public const int ESREC_NOROOM = 201;
        public const int EFIRMWARE_BAD_FILE = 281;
        public const int ESTATS_ERROR = 280;
        public const int ESTATS_DEPENDENCY = 282;
    }

    public class StatisticProperties
    {
        public const string CommunicationErrorCount = "CommunicationErrorCount";
        public const string DeviceCategory = "DeviceCategory";
        public const string FirmwareRevision = "FirmwareRevision";
        public const string HoursPoweredCount = "HoursPoweredCount";
        public const string InstallationDate = "InstallationDate";
        public const string Interface = "Interface";
        public const string ManufactureDate = "ManufactureDate";
        public const string ManufacturerName = "ManufacturerName";
        public const string MechanicalRevision = "MechanicalRevision";
        public const string ModelName = "ModelName";
        public const string SerialNumber = "SerialNumber";
        public const string UnifiedPOSVersion = "UnifiedPOSVersion";
    }

    public class Wait
    {
        public const int FOREVER = -1;
    }

    //
    // Event Polling
    //

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public class SoundRecorderEvent
    {
        [DataMember]
        public DataEvent DataEvent { get; set; }

        [DataMember]
        public DirectIOEvent DirectIOEvent { get; set; }

        [DataMember]
        public ErrorEvent ErrorEvent { get; set; }

        //[DataMember]
        //public OutputCompleteEvent OutputCompleteEvent { get; set; }
        [DataMember]
        public StatusUpdateEvent StatusUpdateEvent { get; set; }

        [DataMember]
        public DataContainedEvent DataContainedEvent { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public class SoundRecorderEventResponse
    {
        [DataMember]
        public DataEventResponse DataEventResponse { get; set; }

        [DataMember]
        public DataContainedEventResponse DataContainedEventResponse { get; set; }

        [DataMember]
        public DirectIOEventResponse DirectIOEventResponse { get; set; }

        [DataMember]
        public ErrorEventResponse ErrorEventResponse { get; set; }

        //[DataMember]
        //public OutputCompleteEventResponse OutputCompleteEventResponse { get; set; }
        [DataMember]
        public StatusUpdateEventResponse StatusUpdateEventResponse { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public class DataEvent
    {
        [DataMember]
        public string Source { get; set; }

        [DataMember]
        public int EventID { get; set; }

        [DataMember]
        public DateTime TimeStamp { get; set; }

        [DataMember]
        public int Status { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public class DataEventResponse
    {
        [DataMember]
        public int EventID { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public class DirectIOEvent
    {
        [DataMember]
        public string Source { get; set; }

        [DataMember]
        public int EventID { get; set; }

        [DataMember]
        public DateTime TimeStamp { get; set; }

        [DataMember]
        public int EventNumber { get; set; }

        [DataMember]
        public int Data { get; set; }

        [DataMember]
        public object Obj { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public class DirectIOEventResponse
    {
        [DataMember]
        public int EventID { get; set; }

        [DataMember]
        public DirectIOData DirectIOData { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public class ErrorEvent
    {
        [DataMember]
        public string Source { get; set; }

        [DataMember]
        public int EventID { get; set; }

        [DataMember]
        public DateTime TimeStamp { get; set; }

        [DataMember]
        public ErrorCode ErrorCode { get; set; }

        [DataMember]
        public int ErrorCodeExtended { get; set; }

        [DataMember]
        public ErrorLocus ErrorLocus { get; set; }

        [DataMember]
        public ErrorResponse ErrorResponse { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public class ErrorEventResponse
    {
        [DataMember]
        public int EventID { get; set; }

        [DataMember]
        public ErrorResponse ErrorResponse { get; set; }
    }

    /*
    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public class OutputCompleteEvent
    {
        [DataMember]
        public string Source { get; set; }
        [DataMember]
        public int EventID { get; set; }
        [DataMember]
        public DateTime TimeStamp { get; set; }
        [DataMember]
        public int OutputID { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public class OutputCompleteEventResponse
    {
        [DataMember]
        public int EventID { get; set; }
    }
    */

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public class StatusUpdateEvent
    {
        [DataMember]
        public string Source { get; set; }

        [DataMember]
        public int EventID { get; set; }

        [DataMember]
        public DateTime TimeStamp { get; set; }

        [DataMember]
        public int Status { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public class StatusUpdateEventResponse
    {
        [DataMember]
        public int EventID { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public enum ErrorLocus
    {
        [EnumMember]
        EL_INPUT,

        [EnumMember]
        EL_INPUT_DATA,
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public enum ErrorResponse
    {
        [EnumMember]
        ER_CLEAR,

        [EnumMember]
        ER_CONTINUEINPUT,
    }

    [CollectionDataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/", ItemName = "PropertyName")]
    public class PropertyNameList : List<string>
    {
    }

    [CollectionDataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/", ItemName = "Parameter")]
    public class ParameterList : Dictionary<string, object>
    {
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public class DataContainedEvent
    {
        [DataMember]
        public string Source { get; set; }

        [DataMember]
        public int EventID { get; set; }

        [DataMember]
        public DateTime TimeStamp { get; set; }

        [DataMember]
        public int Status { get; set; }

        [DataMember]
        public ParameterList Parameters { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public class DataContainedEventData
    {
        [DataMember]
        public int EventID { get; set; }

        [DataMember]
        public bool SetDataEventEnabled { get; set; }

        [DataMember]
        public bool CallClearInputProperties { get; set; }
    }

    [DataContract(Namespace = "http://www.nrf-arts.org/UnifiedPOS/SoundRecorder/")]
    public class DataContainedEventResponse
    {
        [DataMember]
        public int EventID { get; set; }

        [DataMember]
        public bool SetDataEventEnabled { get; set; }

        [DataMember]
        public bool CallClearInputProperties { get; set; }
    }

    #endregion Version 1.4
}